<template>
  <v-container>
    <h2>Application dashboard</h2>
    <v-tabs>
      <v-tab :to="{name: 'app.overview'}">Overview</v-tab>
      <v-tab v-if="isPluginEnabled('logging')">App logs</v-tab>
      <v-tab v-if="isPluginEnabled('metrics')">Metrics</v-tab>
      <v-tab v-if="isPluginEnabled('events')">Events</v-tab>
      <v-tab v-if="isPluginEnabled('access-logs')">Access logs</v-tab>
      <v-tab v-if="isPluginEnabled('access-control')">Access control</v-tab>
      <v-tab v-if="isPluginEnabled('permissions')">Permissions</v-tab>
      <v-tab v-if="isPluginEnabled('secrets')"  :to="{name: 'app.secrets.edit'}">
        <v-icon dark right> mdi-checkbox-marked-circle </v-icon>
        Secrets
      </v-tab>
      <v-tab :to="{name: 'app.config'}">
        <v-icon dark right> mdi-checkbox-marked-circle </v-icon>
        Configuration
      </v-tab>
    </v-tabs>
    <router-view/>
  </v-container>
</template>

<script>
import {mapGetters} from 'vuex'

export default {
  computed: {
    ...mapGetters('dashboard', ['enabledPlugins'])
  },
  methods: {
    isPluginEnabled(plugin){
      return this.enabledPlugins.includes(plugin);
    }
  }
}
</script>